import json
from optparse import make_option

from django.core.management.base import BaseCommand

from passerelle.base.models import ApiUser, BaseResource
from passerelle.utils import import_site


class Command(BaseCommand):
    args = '<filename>'
    help = 'Import an exported site'
    option_list = BaseCommand.option_list + (
        make_option('--clean', action='store_true', default=False,
                    help='Clean site before importing'),
        make_option('--import-users', action='store_true', default=False,
                    help='Import users and access rights'),
        make_option('--if-empty', action='store_true', default=False,
                    help='Import only if passerelle is empty'),
        make_option('--overwrite', action='store_true', default=False,
                    help='Overwrite existing resources'),
    )

    def handle(self, filename, **options):
        import_site(json.load(open(filename)),
                    if_empty=options['if_empty'],
                    clean=options['clean'],
                    overwrite=options['overwrite'],
                    import_users=options['import_users'])
